
%define name    mythplugins
%define version 0.20a
%define snapshot 0
%define rel 6

%define required_myth 0.20-3

%if %snapshot
%define release %mkrel 0.%snapshot.%rel
%else
%define release %mkrel %rel
%endif
%define distsuffix plf

%define _varlibdir	%{_localstatedir}

# segfaults mythphone on start
%define build_festival 0

%ifarch x86_64
# libFestival.a is non-PIC, should probably be fixed
%define build_festival 0
%endif

%if %mdkversion > 1020
%define build_firewire          1
%else
%define build_firewire          0
%endif

%if %mdkversion > 200600
BuildRequires:	mesagl-devel
%else
BuildRequires:	Mesa-devel
%endif
BuildRequires:	libmyth-devel >= %{required_myth}
BuildRequires:	fftw-devel
BuildRequires:	SDL-devel
BuildRequires:	libfaad2-devel
BuildRequires:	libfaad2-static-devel
BuildRequires:	libdvdread-devel
BuildRequires:	libexif-devel
BuildRequires:	mad-devel
BuildRequires:	id3tag-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libflac-devel
BuildRequires:	libcdaudio-devel
BuildRequires:	libcdda-devel
BuildRequires:	lame-devel
BuildRequires:	tiff-devel
BuildRequires:	kdelibs-devel
%if %build_festival
BuildRequires:	festival-devel
BuildRequires:  speech_tools-devel
%endif

Summary: 	Mythplugins for MythTV
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
URL: 		http://www.mythtv.org/
License: 	GPL
Group: 		Video
%if %snapshot
Source0: %{name}-%{snapshot}.tar.bz2
%else
Source0: %{name}-%{version}.tar.bz2
%endif
Patch0: mythplugins-0.20-release-fixes.patch
Patch1: mythplugins-0.19-flac-1.1.3-patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-root

%description
Mythplugins for MythTV.

This package is in PLF because it depends on mythtv which is in PLF.

%package -n mythbrowser
Summary: 	MythBrowser is a full web browser for MythTV
URL: 		http://www.mythtv.org/
License: 	GPL
Group: 		Video
Requires: 	mythtv-frontend >= %{required_myth}

%description -n mythbrowser
MythBrowser is a full web browser for MythTV.

This package is in PLF because it depends on mythtv which is in PLF.

%package -n mythcontrols
Summary:	MythTV keybindings editor
URL:		http://www.mythtv.org/
License:	GPL
Group:		Video
Requires:	mythtv-frontend >= %{required_myth}

%description -n mythcontrols
This plugin allows you to reconfigure your keybindings on the frontend without
having to use MythWeb or edit tables by hand.

This package is in PLF because it depends on mythtv which is in PLF.

%package -n mythdvd
Summary: 	The DVD player/ripper frontend module for MythTV
Group: 		Video
Requires:	mythtv-frontend >= %{required_myth}
#Requires: 	libmyth = %{required_myth}
#Requires:	mplayer
#Requires:	ogle >= 0.8.5 xine
Requires:	transcode

%description -n mythdvd
The DVD player/ripper frontend module for MythTV.

This package is in PLF because it depends on mythtv which is in PLF.

%package -n mythflix
Summary:	NetFlix for MythTV
Group:		Video
Requires:	mythtv-frontend >= %{required_myth}
#Requires: 	libmyth >= %{required_myth}
%description -n mythflix
NetFlix for MythTV.

This package is in PLF because it depends on mythtv which is in PLF.

%package -n mythgallery
Summary: 	A gallery/slideshow module
Group: 		Video
Requires:	mythtv-frontend >= %{required_myth}

%description -n mythgallery
A gallery/slideshow module.

This package is in PLF because it depends on mythtv which is in PLF.

%package -n mythgame
Summary: 	A game frontend (xmame, nes, snes, pc) for MythTV
Group: 		Video
Requires:	mythtv-frontend >= %{required_myth}

%description -n mythgame
A game frontend (xmame, nes, snes, pc) for MythTV.

This package is in PLF because it depends on mythtv which is in PLF.

%package -n mythmusic
Summary: 	The music player add-on module for MythTV
Group: 		Video
#Requires:	cdparanoia
Requires:	mythtv-frontend >= %{required_myth}

%description -n mythmusic
The music player add-on module for MythTV.

This package is in PLF because it depends on mythtv which is in PLF.

%package -n mythnews
Summary: 	A RSS News feed plugin for MythTV
Group: 		Video
Requires:	mythtv-frontend >= %{required_myth}

%description -n mythnews
A RSS News feed plugin for MythTV.

This package is in PLF because it depends on mythtv which is in PLF.

%package -n mythphone
Summary: 	A phone and videophone capability on Mythtv using the standard SIP protocol
Group: 		Video
Requires:	mythtv-frontend >= %{required_myth}
%if %build_festival
Requires: festival speech_tools
%endif

%description -n mythphone
Mythphone is a phone and videophone capability on MYTH using
the standard SIP protocol.  It is compatible with Microsoft XP Messenger (see
caveat below) and with SIP Service Providers such as Free World Dialup (
fwd.pulver.com).

This package is in PLF because it depends on mythtv which is in PLF.

%package -n mythweather
Summary: 	A MythTV module that displays a weather forcast
Group: 		Video
Requires:	mythtv-frontend >= %{required_myth}

%description -n mythweather
A MythTV module that displays a weather forcast.

This package is in PLF because it depends on mythtv which is in PLF.

%package -n mythweb
Summary: 	The web interface to MythTV
Group: 		Video
Requires:	mythtv-backend >= %{required_myth}
Requires: 	mod_php >= 2.0.54
Requires:	php-mysql
BuildRequires:	apache-base >= 2.0.54-5mdk
# Requires autofinder is confused, requires nonexistent packages
%define _requires_exceptions pear*

%description -n mythweb
The web interface to MythTV.

This package is in PLF because it depends on mythtv which is in PLF.

%package -n mythvideo
Summary: 	A generic video player frontend module for MythTV
Group: 		Video
Requires:	mythtv-frontend >= %{required_myth}
Requires:	mplayer

%description -n mythvideo
A generic video player frontend module for MythTV.

This package is in PLF because it depends on mythtv which is in PLF.

%package -n mytharchive
Summary: 	Creates DVDs from your recorded shows
Group: 		Video
Requires:	dvd+rw-tools
Requires:	dvdauthor
Requires:	ffmpeg
Requires:	mjpegtools
Requires:	mkisofs
Requires:	mythtv-frontend >= %{required_myth}
Requires:	transcode

%description -n mytharchive
MythArchive is a new plugin for MythTV that lets you create DVDs
from your recorded shows, MythVideo files and any video files
available on your system. It can also archive recordings in a
proprietary format that archives not only the file but also all the
associated metadata like title, description and cut list information
which will mean you can create backups of myth recordings which can
later be restored or it will also allow you to move recordings
between myth systems without losing any of the metadata. It is a
complete rewrite of the old MythBurn bash scripts, now using python,
and the mythfrontend UI plugin.

This package is in PLF because it depends on mythtv which is in PLF.

%prep
%if %snapshot
%setup -q -n %name
%else
%setup -q
%endif
%patch0 -p1 -b .release-fixes
%patch1 -p1 -b .flac-1.1.3
#mythphone

cat > mythweb/mythweb.conf <<EOF
Alias			/mythweb %{_var}/www/mythweb
<Directory %{_var}/www/mythweb>
setenv include_path	"%{_datadir}/mythweb"
RewriteBase		/mythweb
EOF

cat mythweb/.htaccess >> mythweb/mythweb.conf

cat >> mythweb/mythweb.conf <<EOF
</Directory>
<Directory %{_var}/www/mythweb/data>
EOF

cat mythweb/data/.htaccess >> mythweb/mythweb.conf

cat >> mythweb/mythweb.conf <<EOF
</Directory>
EOF

find . -type f | xargs grep -l /usr/local | xargs perl -pi -e's|/usr/local|%{_prefix}|g'

# Fix /mnt/store -> /var/lib/mythmusic
perl -pi -e's|/mnt/store/music|%{_varlibdir}/mythmusic|' mythmusic/mythmusic/globalsettings.cpp
#mythvideo
# Fix /mnt/store -> /var/lib/mythvideo
perl -pi -e's|/share/Movies/dvd|%{_varlibdir}/mythvideo|' mythvideo/mythvideo/globalsettings.cpp

%build
export QTDIR=%{_prefix}/lib/qt3
export QTLIB=$QTDIR/%{_lib}
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:%{_libdir}

%configure --enable-all --libdir-name=%{_lib} \
%if %build_festival
	--enable-festival
%else
	--disable-festival
%endif

#mythphone
cat >> settings.pro << EOF
INCLUDEPATH += %{_includedir}/EST
EOF

%make

%install

rm -rf %{buildroot}

INSTALL_ROOT=%{buildroot}; export INSTALL_ROOT
%makeinstall

#mythgallery
mkdir -p %{buildroot}%{_varlibdir}/pictures
#mythdvd
mkdir -p %{buildroot}%{_varlibdir}/mythdvd
#mythmusic
mkdir -p %{buildroot}%{_varlibdir}/mythmusic
#mythvideo
mkdir -p %{buildroot}%{_varlibdir}/mythvideo

#mythweb
install -d -m755 %{buildroot}%{_var}/www/mythweb
install -m644 mythweb/*.php %{buildroot}%{_var}/www/mythweb

cp -r mythweb/js %{buildroot}%{_var}/www/mythweb
cp -r mythweb/skins %{buildroot}%{_var}/www/mythweb

install -d -m755 %{buildroot}%{_localstatedir}/mythweb/data
ln -s %{_localstatedir}/mythweb/data %{buildroot}%{_var}/www/mythweb/data
ln -s %{_datadir}/mythweb/includes %{buildroot}%{_var}/www/mythweb/includes

install -d -m755 %{buildroot}%{_datadir}/mythweb
cp -r mythweb/includes %{buildroot}%{_datadir}/mythweb
cp -r mythweb/modules %{buildroot}%{_datadir}/mythweb

install -d -m755 %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -m644 mythweb/mythweb.conf %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d

# Remove patch backup files
find %{buildroot} -type f -name *.release-fixes -exec rm -rf {} \;

%clean
rm -rf %{buildroot}

%post -n mythweb
%_post_webapp

%postun -n mythweb
%_postun_webapp

%files -n mythbrowser
%defattr(-,root,root,-)
%doc mythbrowser/README mythbrowser/COPYING mythbrowser/AUTHORS
%{_bindir}/mythbrowser
%{_libdir}/mythtv/plugins/libmythbookmarkmanager.so
%{_datadir}/mythtv/themes/default/webpage.png
%{_datadir}/mythtv/i18n/mythbrowser_*.qm

%files -n mythdvd
%defattr(-,root,root,-)
%doc mythdvd/README* mythdvd/COPYING mythdvd/AUTHORS
%{_bindir}/mtd
%{_libdir}/mythtv/plugins/libmythdvd.so
%{_datadir}/mythtv/dvd_settings.xml
%{_datadir}/mythtv/dvdmenu.xml
%{_datadir}/mythtv/themes/default/dvd*.xml
%{_datadir}/mythtv/themes/default/md_*.png
%{_datadir}/mythtv/i18n/mythdvd_*.qm
%{_varlibdir}/mythdvd

%files -n mythflix
%defattr(-,root,root,-)
%doc mythflix/README mythflix/COPYING mythflix/ChangeLog mythflix/AUTHORS
%{_libdir}/mythtv/plugins/libmythflix.so
%{_datadir}/mythtv/i18n/mythflix_*.qm
%{_datadir}/mythtv/i18n/mythflix_*.ts
%{_datadir}/mythtv/mythflix
%{_datadir}/mythtv/netflix_menu.xml
%{_datadir}/mythtv/themes/default/netflix*.xml
%{_datadir}/mythtv/themes/default/*netflix.png

%files -n mythgallery
%defattr(-,root,root,-)
%doc mythgallery/README*
%{_libdir}/mythtv/plugins/libmythgallery.so
%{_datadir}/mythtv/i18n/mythgallery_*.qm
%{_datadir}/mythtv/themes/default/gallery*
%{_varlibdir}/pictures

%files -n mythgame
%defattr(-,root,root,-)
%doc mythgame/README* mythgame/romdb*
%{_libdir}/mythtv/plugins/libmythgame.so
%{_datadir}/mythtv/i18n/mythgame_*.qm
%{_datadir}/mythtv/game_settings.xml
%{_datadir}/mythtv/themes/default/game*

%files -n mythmusic
%defattr(-,root,root,-)
%doc mythmusic/AUTHORS mythmusic/COPYING mythmusic/README* mythmusic/musicdb
%{_datadir}/mythtv/music_settings.xml
%{_datadir}/mythtv/musicmenu.xml
%{_libdir}/mythtv/plugins/libmythmusic.so
%{_varlibdir}/mythmusic
%{_datadir}/mythtv/i18n/mythmusic_*.qm
%{_datadir}/mythtv/themes/default/ff_button*.png
%{_datadir}/mythtv/themes/default/mm_*.png
%{_datadir}/mythtv/themes/default/music-*.png
%{_datadir}/mythtv/themes/default/music-ui.xml
%{_datadir}/mythtv/themes/default/next_button*.png
%{_datadir}/mythtv/themes/default/pause_button*.png
%{_datadir}/mythtv/themes/default/play_button*.png
%{_datadir}/mythtv/themes/default/prev_button*.png
%{_datadir}/mythtv/themes/default/rew_button*.png
%{_datadir}/mythtv/themes/default/selectionbar.png
%{_datadir}/mythtv/themes/default/stop_button*.png
%{_datadir}/mythtv/themes/default/text_button*.png
%{_datadir}/mythtv/themes/default/track_info_background.png

%files -n mythnews
%defattr(-,root,root,-)
%doc mythnews/AUTHORS mythnews/COPYING mythnews/ChangeLog mythnews/README*
%{_libdir}/mythtv/plugins/libmythnews.so
%{_datadir}/mythtv/i18n/mythnews_*.qm
%{_datadir}/mythtv/mythnews
%{_datadir}/mythtv/themes/default/news*

%files -n mythphone
%defattr(-,root,root,-)
%doc mythphone/AUTHORS mythphone/COPYING mythphone/README mythphone/TODO
%{_libdir}/mythtv/plugins/libmythphone.so
%{_datadir}/mythtv/themes/default/mp_*
%{_datadir}/mythtv/themes/default/phone*
%{_datadir}/mythtv/themes/default/webcam*
%{_datadir}/mythtv/i18n/mythphone_*.qm

%files -n mythweather
%defattr(-,root,root,-)
%doc mythweather/AUTHORS mythweather/COPYING mythweather/README*
%{_libdir}/mythtv/plugins/libmythweather.so
%{_datadir}/mythtv/i18n/mythweather_*.qm
%{_datadir}/mythtv/mythweather
%{_datadir}/mythtv/themes/default/cloudy.png
%{_datadir}/mythtv/themes/default/fair.png
%{_datadir}/mythtv/themes/default/flurries.png
%{_datadir}/mythtv/themes/default/fog.png
%{_datadir}/mythtv/themes/default/logo.png
%{_datadir}/mythtv/themes/default/lshowers.png
%{_datadir}/mythtv/themes/default/mcloudy.png
%{_datadir}/mythtv/themes/default/mw*.png
%{_datadir}/mythtv/themes/default/pcloudy.png
%{_datadir}/mythtv/themes/default/rainsnow.png
%{_datadir}/mythtv/themes/default/showers.png
%{_datadir}/mythtv/themes/default/snowshow.png
%{_datadir}/mythtv/themes/default/sunny.png
%{_datadir}/mythtv/themes/default/thunshowers.png
%{_datadir}/mythtv/themes/default/unknown.png
%{_datadir}/mythtv/themes/default/weather-ui.xml

%files -n mythweb
%defattr(-,root,root,-)
%doc mythweb/README* mythweb/TODO mythweb/LICENSE
%{_var}/www/mythweb
%{_localstatedir}/mythweb
%attr(-,apache,apache) %{_localstatedir}/mythweb/data
%{_datadir}/mythweb
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/mythweb.conf

%files -n mythvideo
%defattr(-,root,root,-)
%doc mythvideo/README*
%{_libdir}/mythtv/plugins/libmythvideo.so
%{_datadir}/mythtv/video_settings.xml
%{_datadir}/mythtv/videomenu.xml
%{_datadir}/mythtv/i18n/mythvideo_*.qm
%{_datadir}/mythtv/mythvideo/scripts
%{_datadir}/mythtv/themes/default/mv*
%{_datadir}/mythtv/themes/default/video*
%{_varlibdir}/mythvideo

%files -n mythcontrols
%defattr(-,root,root)
%{_libdir}/mythtv/plugins/libmythcontrols.so
%{_datadir}/mythtv/themes/default/controls-ui.xml
%{_datadir}/mythtv/themes/default/kb-button-off.png
%{_datadir}/mythtv/themes/default/kb-button-on.png
%{_datadir}/mythtv/i18n/mythcontrols_*.qm

%files -n mytharchive
%defattr(-,root,root)
%{_bindir}/mytharchivehelper
%{_libdir}/mythtv/plugins/libmytharchive.so
%{_datadir}/mythtv/archive*.xml
%{_datadir}/mythtv/mytharchive
%{_datadir}/mythtv/themes/default/ma_*.png
%{_datadir}/mythtv/themes/default/mytharchive-ui.xml
%{_datadir}/mythtv/themes/default/mythburn-ui.xml
%{_datadir}/mythtv/themes/default/mythnative-ui.xml
%{_datadir}/mythtv/i18n/mytharchive_*.qm

%changelog
* Sun Jan 21 2007 Stefan van der Eijk <stefan@zarb.org> 0.20a-6
- Remove patch backup files ".release-fixes"

* Sat Jan 20 2007 Stefan van der Eijk <stefan@zarb.org> 0.20a-5
- add release-0-20-fixes patch (12584)
- fix dependencies

* Sat Jan 13 2007 Stefan van der Eijk <stefan@zarb.org> 0.20a-4
- mythweb: fix includes symlink

* Fri Jan 12 2007 Stefan van der Eijk <stefan@zarb.org> 0.20a-3
- mythmusic: add patch0 for flac 1.1.3 support, from:
  ftp://ftp.altlinux.org/pub/people/thresh/
- mythweb: add includes symlink
- mythweb: add Requires: php-mysql

* Fri Sep 22 2006 Anssi Hannula <anssi@zarb.org> 0.20a-2plf2007.0
- fix requires

* Tue Sep 12 2006 Anssi Hannula <anssi@zarb.org> 0.20a-1plf2007.0
- 0.20a

* Sun Jul 16 2006 Anssi Hannula <anssi@zarb.org> 0.19.1-0.10553.1plf2007.0
- new snapshot of the stable branch
- fix buildrequires on cooker

* Sun Apr 23 2006 Anssi Hannula <anssi@zarb.org> 0.19-2plf
- fix PLF reason

* Tue Feb 21 2006 Anssi Hannula <anssi@zarb.org> 0.19-1plf
- 0.19
- clean spec
- rebuild buildrequires
- drop patch2, fixed upstream
- fix summary and description
- add mythflix
- drop mythphone post, user should know to read README anyway
- drop mythweb post, url is obvious
- make mythweb compliant to Mandriva Web Applications packaging Policy
- menus are not config files
- disable festival, it segfaults
- drop patch1, unneeded

* Thu Oct 13 2005 Anssi Hannula <anssi@zarb.org> 0.18.2-0.7468.1plf
- upgrade to release-0-18-fixes svn branch revision 7468
- remove patch1, fixed upstream
- remove mythcontrols, not present on this branch

* Mon Oct 10 2005 Anssi Hannula <anssi@zarb.org> 0.18.1-20050620.4plf
- fix changelog
- fix buildrequires libavc1394-devel
- fix x86_64 build (patch1)

* Mon Aug 22 2005 Stefan van der Eijk <stefan@zarb.org> 0.18.1-20050620.3plf
- no firewire support %%mdkversion > 1020
- add distsuffix
- %%mkrel
- start fixing changelog

* Wed Jul 06 2005 Stefan van derEijk <stefan@zarb.org> 0.18.1-20050620.2plf
- BuildRequires
- disable building with festival support
- remove -lmp4ff from makefile

* Mon Jun 20 2005 Austin Acton <austin@zarb.org> 0.18.1-20050620.1plf
- PLFify
- buildrequires libexif-devel
- disable festival on cooker
- clean up requires
- parallel build
- bump to cvs
- add mythcontrols

* Fri May 21 2005 Colin Guthrie <mythtv@colin.guthr.ie> 0.18.1-1.mdk10.2.thac
- Disable festival in x86_64 as this just segfaults mythphone. Will work on a more comprehensive fix.

* Fri May 20 2005 Colin Guthrie <mythtv@colin.guthr.ie> 0.18.1-1.mdk10.2.thac
- Build fixes for x86_64 (NB requires fixed festival/speechtools -fPIC libs)
- Bump version to 0.18.1 (from 0.18)

* Sun Feb 13 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.17-1.mdk10.1.thac
- Update to 0.17
- Sync with Axel Thimm spec file

* Mon Oct 25 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.16-4.mdk10.1.thac
- 4.mdk10.1.thac
- Where "4" is the release of the package, "mdk" is the distro, "10.1" is the release of the distro, and "thac" is the Torbjorn Turpeinen extension.

* Sat Oct 23 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.16-3thac
- Rebuilt for Mandrake 10.1

* Mon Sep 20 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.16-2thac
- Removed Prereq

* Sun Sep 12 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.16-1thac
- Updated to latest version
- Changed back to thac release to be able to support nnidia and via builds.

* Wed Jun 02 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.15.1-1plf
- Updated to latest version

* Fri May 28 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.15-1plf
- Updated to latest version

* Thu Apr 22 2004 Stefan van der Eijk <stefan@eijk.nu> 0.14-2plf
- BuildRequires

* Sun Feb 01 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.14-1plf
- Updated to latest version

* Wed Jan 14 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.13-4plf
- First plf release

* Fri Dec 18 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.13-3thac
- Cleaned up spec file

* Sun Dec 14 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.13-2thac
- Cleaned up spec file

* Sat Dec 13 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.13-1thac
- Compiled for Mandrake 9.2

